$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.108.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.108.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A3419DB73D1303C1381F4A83B73724D9D19583E2CFA808D4B8C5A26FADDBA430'
  checksumType = 'sha256'
  checksum64 = 'A3419DB73D1303C1381F4A83B73724D9D19583E2CFA808D4B8C5A26FADDBA430'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.108-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
